hbase-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Colin Ma (JIRA)" <j...@apache.org>
Subject [jira] [Created] (HBASE-16563) hbase-assembly can only deal with the first license of dependency
Date Tue, 06 Sep 2016 05:43:21 GMT
Colin Ma created HBASE-16563:
--------------------------------

             Summary: hbase-assembly can only deal with the first license of dependency
                 Key: HBASE-16563
                 URL: https://issues.apache.org/jira/browse/HBASE-16563
             Project: HBase
          Issue Type: Bug
          Components: build
            Reporter: Colin Ma
            Assignee: Colin Ma


Currently, only the first <license> in <licenses> will be validated in LICENSE.vm.
The hbase-assembly will be failed to validate the following information,because Apache License
v2.0 is not the first one :
{code}
<licenses>
      <license>
          <name>LGPL, version 2.1</name>
          <url>http://www.gnu.org/licenses/licenses.html</url>
          <distribution>repo</distribution>
      </license>
      <license>
          <name>Apache License v2.0</name>
          <url>http://www.apache.org/licenses/LICENSE-2.0.txt</url>
          <distribution>repo</distribution>
      </license>
  </licenses>
{code}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message